<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android">

    <data>

        <variable
            name="bean"
            type="com.lukouguoji.module_base.bean.MessageBean" />
    </data>

    <LinearLayout
        shape_bg_color="@{@color/white}"
        shape_radius="@{6}"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="10dp"
        android:layout_marginVertical="5dp"
        android:background="@color/white"
        android:gravity="center_vertical"
        android:padding="10dp">

        <CheckBox
            visible='@{bean.state.equals("0")}'
            android:layout_width="wrap_content"
            android:checked="@={bean.checked}"
            android:layout_height="wrap_content"
            android:button="@drawable/p_checkbox_selector" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="15dp"
            android:orientation="vertical">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@{bean.content}"
                android:textColor="@color/text_normal" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="end"
                android:layout_marginTop="10dp"
                android:text="@{bean.createtime}"
                android:textColor="@color/text_gray_l"
                android:textSize="13sp" />

        </LinearLayout>

    </LinearLayout>
</layout>